Bug 16861 - Translatability: Fix separated "below" in circulation.tt
Summary: Translatability: Fix separated "below" in circulation.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 16810
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-06 15:58 UTC by Héctor Eduardo Castro Avalos
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16861: Translatability: Fix separated "below" in circulation.tt (3.38 KB, patch)
2016-07-06 16:04 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16861: Translatability: Fix separated "below" in circulation.tt (3.42 KB, patch)
2016-07-06 16:14 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16861: Translatability: Fix separated "below" in circulation.tt (3.55 KB, patch)
2016-07-06 17:12 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16861: Translatability: Fix separated "below" in circulation.tt (3.62 KB, patch)
2016-07-07 14:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16861: (followup)Translatability: remove fa-hand-o-down icon (1.30 KB, patch)
2016-07-07 18:08 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 16861: Translatability: Fix separated "below" in circulation.tt (3.61 KB, patch)
2016-07-27 20:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 16861: (followup)Translatability: remove fa-hand-o-down icon (1.36 KB, patch)
2016-07-27 20:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2016-07-06 15:58:39 UTC
This patch propose to fix this two entries in PO files:

#: intranet-tmpl/prog/en/modules/circ/circulation.tt:797
#, c-format
msgid ". See highlighted items "
msgstr ". Véase los ítems resaltados "

#: intranet-tmpl/prog/en/modules/circ/circulation.tt:797
#, c-format
msgid "below"
msgstr "debajo"

Also add some Font Awesome Icons to circulation interface.
Comment 1 Héctor Eduardo Castro Avalos 2016-07-06 16:04:56 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-07-06 16:14:45 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-07-06 17:12:32 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-07-07 14:21:52 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-07-07 15:48:30 UTC
Héctor, I have asked Owen (on #koha) if he agrees on the fa-hand-o-down icon and he does not :)
Could you please remove it?
Comment 6 Héctor Eduardo Castro Avalos 2016-07-07 18:08:35 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2016-07-26 20:12:38 UTC
I am ok with the new sentence, but I have a general question about the buttons vs icons:

Example 1:
Make payment and Pay all fines are buttons:

 Fees & Charges: Patron has outstanding fees & charges of 0,01. Make payment Pay all fines

Example 2:  
Delete and Add a new message are Links with icons:

06/01/2016 Midway "WAAH" [Delete]
Add a new message

Should we not pick one or the other?

Owen, could you take a look?
Comment 8 Owen Leonard 2016-07-27 12:58:53 UTC
We don't have a firm rule for this, though it's something we should consider for the interface guidelines. In general I like to use a link when it's part of a block of text like this.

I don't think it's an issue which should hold up this patch.
Comment 9 Katrin Fischer 2016-07-27 20:30:46 UTC
Created attachment 53757 [details] [review]
[PASSED QA] Bug 16861: Translatability: Fix separated "below" in circulation.tt

This patch propose to fix this two entries in PO files:

"See highlighted items" and "below"

Also add some Font Awesome Icons

To test:
-Apply patch 16810 on top and this patch
-Go to a patron who has overdues
-See the link "See highlighted items below" with a hand down icon
-Look the new plus icon to "Add a new message" to the patron.
-Add a few messages and notice about the trash icon in "Delete" links

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2016-07-27 20:31:58 UTC
Created attachment 53758 [details] [review]
[PASSED QA] Bug 16861: (followup)Translatability: remove fa-hand-o-down icon

Remove fa-hand-o-down icon accoring with QA comment 5

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Brendan Gallagher 2016-08-04 21:28:43 UTC
pushed to master - Should be in the November 2016 release.  Thanks!